/*
 * http_client.h
 *
 *  Created on: Mar 4, 2012
 *      Author: Samer Deeb
 */

#ifndef HTTP_CLIENT_H_
#define HTTP_CLIENT_H_

#define HTTPClient_OK			(0)
#define HTTPClient_NotInited 	(1)
#define HTTPClient_InvalidArg 	(2)

#define HTTPClient_Fail			(100)

typedef void * HTTP_HANDLE;

HTTP_HANDLE HTTPClient_Init(int use_ssl);
int HTTPClient_setAuth(HTTP_HANDLE handle, const char * user, const char * pwd);
int HTTPClient_get(HTTP_HANDLE handle, const char * url, char **data, int * plen, long * presponse);
int HTTPClient_put(HTTP_HANDLE handle, const char * url, char *data, int len, long * presponse);
int HTTPClient_post(HTTP_HANDLE handle, const char * url, char *data, int len, long * presponse);
int HTTPClient_delete(HTTP_HANDLE handle, const char * url, long * presponse);
void HTTPClient_cleanup(HTTP_HANDLE handle);

#endif /* HTTP_CLIENT_H_ */
